<?php if (!defined('PLX_ROOT')) exit; 
# Control du token du formulaire
plxToken::validateFormToken($_POST);
    if(!empty($_POST)) {
        $plxPlugin->setParam('data', $_POST['data'], 'cdata');
        $plxPlugin->setParam('texte', $_POST['texte'], 'cdata');
        $plxPlugin->setParam('script', $_POST['script'], 'cdata');
        $plxPlugin->setParam('link', $_POST['link'], 'cdata');
        $plxPlugin->setParam('info', $_POST['info'], 'cdata');
        $plxPlugin->saveParams();
        header('Location: parametres_plugin.php?p=HeadLine');
        exit;
    }
?>

<p>
    <h2><?php echo $plxPlugin->getInfo("description") ?></h2>
</p>

<p><?php $plxPlugin->lang('HeadLine') ?></p>

<code>&lt;?php eval($plxShow->callHook('HeadLine')); ?&gt;</code>

<style>
    .nextum input, .nextum textarea{border-radius: 5px;width: 40%}
    .nextum input[type="submit"]{width: auto}
    .nextum textarea {min-height: 50px}
    .nextum label{font-style: italic}
</style>

<?php 
    $script = $plxPlugin->getParam('script');
    $data = $plxPlugin->getParam('data');
?>


<form action="parametres_plugin.php?p=HeadLine" method="post" class="nextum">
    <p>
        <label for="data">Exemples d'effets:</label>

        <select name="data" id="data">
            <option value="rotate-1"  <?php if ($data == 'rotate-1') { echo'selected';}?>>rotate-1</option>
            <option value="letters rotate-2"  <?php if ($data == 'rotate-2') { echo'selected';}?>>rotate-2</option>
            <option value="loading-bar"  <?php if ($data == 'loading-bar') { echo'selected';}?>>loading-bar</option>
            <option value="slide"  <?php if ($data == 'slide') { echo'selected';}?>>slide</option>
            <option value="clip is-full-width"  <?php if ($data == 'clip is-full-width') { echo'selected';}?>>clip is-full-width</option>
            <option value="zoom"  <?php if ($data == 'zoom') { echo'selected';}?>>zoom</option>
            <option value="push"  <?php if ($data == 'push') { echo'selected';}?>>push</option>           
        </select>
    </p>

    <p>
        <label for="texte">Texte à afficher:</label>
        <input id="texte" name="texte"  maxlength="255" value="<?php echo plxUtils::strCheck($plxPlugin->getParam("texte")) ?>">
    </p>

    <p>
        <label for="link">Lien du texte:</label>
        <input id="link" name="link"  maxlength="255" value="<?php echo plxUtils::strCheck($plxPlugin->getParam("link")) ?>">
    </p>

    <p>
        <label for="info">Titre du lien</label>
        <input id="info" name="info"  maxlength="255" value="<?php echo plxUtils::strCheck($plxPlugin->getParam("info")) ?>">
    </p>

    <p>
        <label for="script">Activer jQuery sur votre site:</label>
        <select name="script" id="select">
            <option value="true"  <?php if ($script == 'true') { echo'selected';}?> >Oui</option>
            <option value="false" <?php if ($script == 'false') { echo'selected';}?> >Non</option>
        </select>
    </p>
    
    <p class="in-action-bar">
        <?php echo plxToken::getTokenPostMethod() ?>
        <input type="submit" name="submit" value="Valider" />
    </p>

</form>
